## oem-wireless-skyray-rtl8723be-1343828-dkms 0017.1216v7.2013stellaoemdriver8

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/Makefile ===
# needless plumbing necessary for dkms to function correctly

all:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) modules
	cp Module.symvers btcoexist/
	make -C /lib/modules/$(KVER)/build M=$(shell pwd)/btcoexist modules
	cp Module.symvers rtl8723be/
	cp btcoexist/Module.symvers rtl8723be/
	make -C /lib/modules/$(KVER)/build M=$(shell pwd)/rtl8723be modules

clean:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) clean

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/btcoexist/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := btcoexist.o


BT_COEXIST_OBJS:=	halbtc8192e2ant.o\
			halbtc8723b1ant.o\
			halbtc8723b2ant.o\
			halbtc8821a2ant.o\
			halbtc8821a1ant.o\
			halbtcoutsrc.o\
			rtl_btc.o	\

####################################################

btcoexist-objs += $(BT_COEXIST_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/rtl8192ce/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8192ce.o


PCI_92CE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\

####################################################

rtl8192ce-objs += $(PCI_92CE_HAL_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/rtl8192de/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8192de.o


PCI_92DE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\

####################################################

rtl8192de-objs += $(PCI_92DE_HAL_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/rtl8192ee/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8192ee.o


PCI_92EE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\
	pwrseq.o	\
	pwrseqcmd.o	\

####################################################

rtl8192ee-objs += $(PCI_92EE_HAL_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/rtl8192se/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)
EXTRA_CFLAGS += -O2
####################################################
obj-m := rtl8192se.o


PCI_92SE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\

####################################################

rtl8192se-objs += $(PCI_92SE_HAL_OBJS)

default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/rtl8723be/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8723be.o


PCI_8723BE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\
	pwrseq.o	\
	pwrseqcmd.o	\

####################################################

rtl8723be-objs += $(PCI_8723BE_HAL_OBJS)


default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/rtl8821ae/Makefile ===

CC = gcc
KVER  := $(shell uname -r)
KSRC := /lib/modules/$(KVER)/build
MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/
PWD := $(shell pwd)

EXTRA_CFLAGS += -O2
#EXTRA_CFLAGS += -DRTK_FW_HDR

####################################################
obj-m := rtl8821ae.o


PCI_8821AE_HAL_OBJS:=	\
	hw.o		\
	table.o		\
	sw.o		\
	trx.o		\
	led.o		\
	fw.o		\
	phy.o		\
	rf.o		\
	dm.o		\
	pwrseq.o	\
	pwrseqcmd.o	\

####################################################

rtl8821ae-objs += $(PCI_8821AE_HAL_OBJS)


default:
	        $(MAKE) -C $(KSRC) M=$(PWD) modules

.PHONY:clean
clean:
	rm -fr *.mod.c *.mod *.o .*.cmd *.ko *~
	rm -fr .tmp_versions
	rm -fr Modules.symvers
	rm -fr Module.symvers
	rm -fr Module.markers
	rm -fr modules.order
	rm -fr tags

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/oem-wireless-skyray-rtl8723be-1343828-dkms-mkdsc/debian/changelog ===
oem-wireless-skyray-rtl8723be-1343828-dkms (0017.1216v7.2013stellaoemdriver8) trusty; urgency=medium

  * Fixed issue for linux-firmware 1.127.11.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Fri, 06 Mar 2015 11:28:07 +0800

oem-wireless-skyray-rtl8723be-1343828-dkms (0017.1216v7.2013stellaoemdriver7) trusty; urgency=medium

  * Fixed issue for linux-firmware 1.127.11.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 05 Mar 2015 18:31:45 +0800

oem-wireless-skyray-rtl8723be-1343828-dkms (0017.1216v7.2013stellaoemdriver6) trusty; urgency=medium

  * VendorSource: https://canonical.basecamphq.com/projects/9443563/file/187084167/rtlwifi_linux_mac80211_0019.0320.2014V625.zip
    Change package name to trusty's acceptance test.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 22 Jul 2014 10:40:49 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v7.2013stellaoemdriver5) trusty; urgency=low

  * Add this package to trusty.

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 08 May 2014 16:24:37 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v7.2013stellaoemdriver4) precise; urgency=low

  * VendorSource: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1216v7.2.2013.zip

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Tue, 29 Apr 2014 14:27:31 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v7.2013stellaoemdriver3) precise; urgency=low

  * Add focus (rtl8188ee) build config

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Tue, 29 Apr 2014 11:24:44 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v7.2013stellaoemdriver2) precise; urgency=low

  * Update upstream vendor source. (LP: #1293909)
  * VendorSource: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1216v7.1.2013.zip

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Wed, 16 Apr 2014 11:35:58 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v7.2013stellaoemdriver1) precise; urgency=low

  * Bump version to sync to vendor srouce version
  * VendorSource: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1216v7.2013.tar.gz

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Tue, 15 Apr 2014 11:31:23 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v6.2013stellaoemdriver2) precise; urgency=low

  * Update upstream vendor source. (LP: #1265449)
  * VendorSource: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1216v7.2013.tar.gz

 -- Tammy Yang <tammy.yang@canonical.com>  Thu, 10 Apr 2014 11:21:32 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v6.2013stellaoemdriver1) precise; urgency=low

  * Update upstream vendor source. (LP: #1265449)
  * Fix USB selective suspend issue.
  * VendorSource: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1216v6.2013.tar.gz

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 20 Mar 2014 15:27:26 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v4.2013stellaoemdriver2) precise; urgency=low

  * Install missing firmware.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Mon, 17 Mar 2014 16:39:51 +0800

oem-wireless-skyray-rtl8723be-1265442-dkms (0017.1216v4.2013stellaoemdriver1) precise; urgency=low

  * Initial release. (Closes: 1265442)
  * VendorSource: rtl_92ce_92se_92de_8723ae_88ee_8723be_92ee_linux_mac80211_0017.1216v4.2013.tar

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Tue, 11 Mar 2014 15:04:09 +0800

=== debian/control ===
Source: oem-wireless-skyray-rtl8723be-1343828-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: oem-wireless-skyray-rtl8723be-1343828-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
XBCS-Oem-Vendor: Realtek
Description: oem-wireless-skyray-rtl8723be-1343828 driver in DKMS format.

=== oem-wireless-skyray-rtl8723be-1343828-0017.1216v7.2013stellaoemdriver8/oem-wireless-skyray-rtl8723be-1343828-dkms-mkdsc/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
XBCS-Oem-Vendor: Realtek
Description: DEBIAN_PACKAGE driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-wireless-skyray-rtl8723be-1343828
NAME=oem-wireless-skyray-rtl8723be-1343828
VERSION=0017.1216v7.2013stellaoemdriver8

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
